Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 542602 - =dev-db/mysql-workbench-6.0.9 requires x11-libs/pango to have the "X" use flag, but the ebuild doesn't know that.
Summary: =dev-db/mysql-workbench-6.0.9 requires x11-libs/pango to have the "X" use fla...
Status: RESOLVED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Hans de Graaff
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-08 22:52 UTC by lperkins
Modified: 2017-07-16 08:32 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lperkins 2015-03-08 22:52:18 UTC
mysql-workbench fails to compile if x11-libs/pango was compiled without the X use flag.  Rebuilding pango with USE="X" fixes the problem and the program compiles and runs normally.  This requirement should probably be added to the ebuild.

Reproducible: Always

Steps to Reproduce:
1. Find a system where x11-libs/pango is compiled with USE="-X"
2. Try to emerge dev-db/mysql-workbench.

Actual Results:  
cmake complains about not being able to find certain libraries that don't exist because they were not built

Expected Results:  
emerge should note that x11-libs/pango is built without the X use flag, and prompt an update to its use flags.

Classed as minor because most people who are using GUI stuff probably have the X use flag declared globally.
Comment 1 Hans de Graaff gentoo-dev 2017-05-25 06:50:30 UTC
Added to mysql-workbench-6.3.4-r2 and mysql-workbench-6.3.9. Thanks for the report.
Comment 2 Hans de Graaff gentoo-dev 2017-05-25 07:32:59 UTC
Some further investigation show that pango[X] should not be needed since mysql-workbench does not use the pango_xft code that the X use flags provides. Could you attach a build log of the failures you are seeing?
Comment 3 lperkins 2017-06-04 20:19:18 UTC
It was two years ago when I reported this and there have been several updates to mysql-workbench since.  It may no longer be required, I'd have to test it again.  It will take me a little while to recreate the circumstances.